<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Books list</title>
</head>
<body>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css">

<div class="container py-3">
    <main>
        <div class="d-flex flex-column flex-md-row align-items-center pb-3 mb-4 border-bottom">
            <a href="/books" class="d-flex align-items-center text-dark text-decoration-none">
                <svg xmlns="http://www.w3.org/2000/svg" width="40" height="32" class="me-2" viewBox="0 0 118 94"
                     role="img"><title>Bootstrap</title>
                    <path fill-rule="evenodd" clip-rule="evenodd"
                          d="M24.509 0c-6.733 0-11.715 5.893-11.492 12.284.214 6.14-.064 14.092-2.066 20.577C8.943 39.365 5.547 43.485 0 44.014v5.972c5.547.529 8.943 4.649 10.951 11.153 2.002 6.485 2.28 14.437 2.066 20.577C12.794 88.106 17.776 94 24.51 94H93.5c6.733 0 11.714-5.893 11.491-12.284-.214-6.14.064-14.092 2.066-20.577 2.009-6.504 5.396-10.624 10.943-11.153v-5.972c-5.547-.529-8.934-4.649-10.943-11.153-2.002-6.484-2.28-14.437-2.066-20.577C105.214 5.894 100.233 0 93.5 0H24.508zM80 57.863C80 66.663 73.436 72 62.543 72H44a2 2 0 01-2-2V24a2 2 0 012-2h18.437c9.083 0 15.044 4.92 15.044 12.474 0 5.302-4.01 10.049-9.119 10.88v.277C75.317 46.394 80 51.21 80 57.863zM60.521 28.34H49.948v14.934h8.905c6.884 0 10.68-2.772 10.68-7.727 0-4.643-3.264-7.207-9.012-7.207zM49.948 49.2v16.458H60.91c7.167 0 10.964-2.876 10.964-8.281 0-5.406-3.903-8.178-11.425-8.178H49.948z"
                          fill="currentColor"></path>
                </svg>
                <span class="fs-4">Book Shelter</span>
            </a>

            <nav class="d-inline-flex mt-2 mt-md-0 ms-md-auto">
                <a th:href="@{/books}" class="me-3 py-2 text-dark text-decoration-none">Main</a>
                <a th:href="@{/basket}" class="me-3 py-2 text-dark text-decoration-none">Basket</a>
                <form th:action="@{/logout}" method="post">
                    <button type="submit"
                            class="btn btn-sm btn-outline-secondary">Sign out
                    </button>
                </form>
            </nav>
        </div>


        <p>
        <form th:action="@{/books}" method="get" th:object="${filterObjects}">

            <input class="" type="hidden" th:field="*{orderBy}">
            <input type="hidden" th:field="*{mode}">

            <div class="row">
                <div class="col">
                    <div>
                        <input type="number" class="form-control" step="0.01" th:field="*{priceFrom}"
                               placeholder="0.00">
                        <label>Price from</label> <br><br>
                    </div>
                </div>
                <div class="col">
                    <div>
                        <input type="number" class="form-control" step="0.01" th:field="*{priceTo}"
                               placeholder="9999.99">
                        <label>Price to</label><br><br>
                    </div>
                </div>
                <div class="col">
                    <div>
                        <select th:field="*{genreId}" class="form-control form-control-sm">
                            <option selected value=""></option>
                            <option th:each="genre: ${allGenres}" th:value="${genre.genreId}"
                                    th:text="${genre.name}"></option>
                        </select>
                        <label>Genre</label><br><br>
                    </div>
                </div>
                <div class="col">
                    <div>
                        <select th:field="*{languageId}" class="form-control form-control-sm">
                            <option selected value=""></option>
                            <option th:each="language: ${allLanguages}" th:value="${language.languageId}"
                                    th:text="${language.name}"></option>
                        </select>
                        <label>Language</label><br><br>
                    </div>
                </div>
            </div>

            <div>
                <button type="submit" class="btn btn-sm btn-outline-secondary">Apply</button>
                <a th:href="@{/books}">
                    <button type="button" class="btn btn-sm btn-outline-secondary">Reset filters</button>
                </a><br><br>
            </div>

        </form>

        <form th:action="@{/books}">
            Search: <input class="form-control" type="text" name="keyword" id="keyword" size="50"
                           th:value="${keyword}" placeholder="Enter book name"/><br>
            <input type="submit" value="Search" class="btn btn-sm btn-outline-secondary"/>

        </form>


        <div class="album py-5">
            <div class="container">
                <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
                    <tr th:each="book : ${allBooks}">
                        <div class="col">

                            <div class="card shadow-sm">
                                <svg class="bd-placeholder-img card-img-top" width="100%" height="225"
                                     xmlns="http://www.w3.org/2000/svg" role="img" aria-label="Placeholder: Thumbnail"
                                     preserveAspectRatio="xMidYMid slice" focusable="false"><title>Placeholder</title>
                                    <rect width="100%" height="100%" fill="#55595c"></rect>
                                    <text x="50%" y="50%" fill="#eceeef" dy=".3em">Thumbnail</text>
                                </svg>

                                <div class="card-body">
                                    <h5 class="card-text" th:text="${book.name}"></h5> <br>
                                    <p class="card-text"
                                       th:text="${#strings.length(book.description) > 60 ? #strings.substring(book.description, 0, 60) : book.description}"></p>
                                    <p class="card-text"
                                       th:utext="'Author: ' + ${book.author} + '<br/>' + 'Genre: ' + ${book.genre.name} + '<br/>' + 'Language: ' + ${book.bookLanguage.name} + '<br/>' + 'Price: ' + ${book.price}"></p>
                                    <div class="d-flex justify-content-between align-items-center">
                                        <div class="btn-group">
                                            <a th:href="@{/books/view/{id}(id=${book.id})}" type="button"
                                               class="btn btn-sm btn-outline-secondary">View
                                            </a>
                                            <form th:action="@{/basket/add/{id}(id=${book.id})}" method="post">
                                                <button type="submit"
                                                        class="btn btn-sm btn-outline-secondary">Add to basket
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </tr>
                </div>
            </div>
        </div>
    </main>
</div>

</main>

<div th:insert="blocks/footer :: footer"></div>
</div>

</body>
</html>